WordPress.org

Ready to get started?Download WordPress

Forums

Wordfence Security
Plugin facilitates media censorship by false reports. (2 posts)

1 star
  1. nsnbc
    Member
    Posted 1 year ago #

    I have installed the plugin and it works fine. Actually I was happy for it the first day. Easy to learn, manage and use, but then came the bad surprise....

    I am the owner and editor in chief of the international, independent, daily online newspaper nsnbc international at [ link deleted ]

    Today, 04.04.2013, I suddenly received reports about each and every URL I have linked to, belonging to a high profile, internationally recognized independent media called Voltairenet.

    To make matters worse, the "fault - malware - etc -" was reported as "CRITICAL" a big red cross.

    The Real Problem ?...... is that there is absolutely nothing wrong with any of the URLs, other than that either WordPress, the Pluginprovider, or GOOGLE, have decided to blacklist a media which is critical about illegal wars of aggression, also when the war crimes are being committed by NATO.

    Conclusion: In its current version the plugin facilitates the censorship of independent media,- and it is doing so either directly, or indirectly, because its functions rely on data from a data provider who is involved in unethical censorship practices.

    When will our newspaper on the blacklist, our yours, and can I endorse a plugin that facilitates unethical censorship practices ? I am waiting to hear for a response from the developer - otherwise, I think the plugin will be removed, and we independent media have something to write about.

    [ Signature moderated. ]

  2. spaciouscritter
    Member
    Posted 10 months ago #

    wow! Thanks for the heads up. Seems the fix is worse than the sick...

    I'm zorching Wordfence immediately.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.